﻿f@using SSCMvc.Webutil;
@using SSCMvc.Models;
@using System.Web.UI.WebControls
@model SSCMvc.Models.Tb_Homework

@{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>
@section scripts{
    <script>
        $("#CDate").datepicker()
    </script>

}

@using (Html.BeginForm("Edit", "Homework", null, FormMethod.Post, new { @id = "Form_Masters", @class = "form-horizontal", enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">Edit homework</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    <div class="container-fluid">
        <div class="row-fluid">

            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />

                <input type="button" value="Cancel" class="btn btn-primary" id="btnCancel" />

                <div class="btn-group">
                </div>
            </div>
            <div class="well">

                <div id="myTabContent" class="tab-content">
                    <div class="tab-pane active in" id="home">
                        <form id="tab">
                            <table width="560px">
                                <tr>
                                    <td style="width: 150px">
                                        <table>
                                            <tr>
                                                <td>Date</td>

                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>
                                    <td>
                                        @*@Html.EditorFor(model => model.CDate)*@
                                        @Html.TextBoxFor(model => model.CDate,"{0:MM/dd/yyyy}", new { @class = "form-control"})
                                        @Html.ValidationMessageFor(model => model.CDate)
                                    </td>

                                    <td style="width: 150px">
                                        <table>
                                            <tr>
                                                <td>@Html.LabelFor(model => model.Title)</td>

                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        @Html.EditorFor(model => model.Title)
                                        @Html.ValidationMessageFor(model => model.Title)
                                    </td>
                                    <td align="left">
                                        <table>
                                            <tr>
                                                <td>
                                                    Type
                                                </td>
                                                <td>
                                                    <span class="color_style">*</span>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td align="left">
                                        @{
                                            var listItems = new List<ListItem>();
                                            //listItems.Add(new ListItem { Text = "Listening", Value = "Listening" });
                                            listItems.Add(new ListItem { Text = "Reading", Value = "Reading" });
                                            listItems.Add(new ListItem { Text = "Writing", Value = "Writing" });
                                            listItems.Add(new ListItem { Text = "Speaking", Value = "Speaking" });
                                        }
                                        @Html.DropDownListFor(model => model.HType, new SelectList(listItems))
                                        @Html.ValidationMessageFor(model => model.HType)
                                    </td>

                                    <td style="width: 150px">
                                        <table>
                                            <tr>
                                                <td>File</td>

                                                <td><span class="color_style">*</span></td>

                                            </tr>
                                        </table>
                                    </td>

                                    <td>
                                        <input type="file" name="File" />
                                        @Html.HiddenFor(model => model.HFile)
                                        @Html.HiddenFor(model => model.Counter)
                                    </td>
                                </tr>

                            </table>

                        </form>
                    </div>

                </div>

            </div>

            <div class="modal small hide fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                    <h3 id="myModalLabel">Delete Confirmation</h3>
                </div>
                <div class="modal-body">

                    <p class="error-text"><i class="icon-warning-sign modal-icon"></i>Are you sure you want to delete the user?</p>
                </div>
                <div class="modal-footer">
                    <button class="btn" data-dismiss="modal" aria-hidden="true">Cancel</button>
                    <button class="btn btn-danger" data-dismiss="modal">Delete</button>
                </div>
            </div>



            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank"></a><a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a>
                </p>


                <!--  <p>&copy; 2012 <a href="#" target="_blank">Portnine</a></p>-->
            </footer>


        </div>
    </div>



}

